GET /api/v3/commodity Deprecated

Returns a list of commodities available with their common units and if they are currently in use

GetCommoditiesV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

Commodity
Property Description Type
commodityCode The Commodity Code string
commodityId The Commodity ID integer (int32)
commodityInfo The Commodity Info string
commonDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
inUseByVendor Flag to indicate if the commodity is assigned to any meters boolean
Example Response application/json
[
  {    "commodityCode": "string",    "commodityId": 1,    "commodityInfo": "string",    "commonDemandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "commonUseUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "inUseByVendor": false
  }
]